List webhook event types
Lists the catalog of webhook event types available on the platform. Use this to discover valid event identifiers before populating the events array when creating a webhook via POST /rest/webhooks or updating one via PATCH /rest/webhooks/{id}
Token scopes: webhooks:read
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Response
successful operation
data
The list of webhook event types.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
429
Too Many Requests Error
500
Internal Server Error